Skip to main content
POST /v1/payments/createQrOrder Creates a QR code order for the Merchant Presented Dynamic QR (C Scan B) payment scenario.

Request Parameters

bizType
string
required
Business type of the QR code. For Merchant Presented Dynamic QR: ORDER_CODEMax length: 16 characters
productCode
string
required
Fixed value: 51051000101000100048 for C Scan B Dynamic.Max length: 32 characters
codeType
string
required
Protocol type. Only supports CGCP.Max length: 16 characters
order
object
required
Merchant order information.
paymentNotifyUrl
string
Payment result notification address.Max length: 1024 characters
extendInfo
string
JSON-formatted extension data.Max length: 2048 characters

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
merchantTransId
string
required
Echo of the merchant-provided transaction identifier.
acquirementId
string
Platform-generated unique payment order ID.
qrCode
string
Generated QR code content.

Result Codes

resultStatusresultCodeDescription
SSUCCESSQR order created successfully
FPARAM_ILLEGALInvalid parameters
FREPEAT_REQ_INCONSISTENTDuplicate request with inconsistent data
FACCESS_DENIEDValid contract absent
FINVALID_SIGNATURESignature validation failed
FMERCHANT_STATUS_ABNORMALMerchant account issues
UUNKNOWN_EXCEPTIONUnknown error occurred
UREQUEST_TRAFFIC_EXCEED_LIMITRate limit exceeded